All of lore.kernel.org
 help / color / mirror / Atom feed
From: lhh@sourceware.org <lhh@sourceware.org>
To: cluster-devel.redhat.com
Subject: [Cluster-devel] cluster/fence/agents/manual fence_ack_manual.sh
Date: 22 Jan 2007 23:16:13 -0000	[thread overview]
Message-ID: <20070122231613.28349.qmail@sourceware.org> (raw)

CVSROOT:	/cvs/cluster
Module name:	cluster
Changes by:	lhh at sourceware.org	2007-01-22 23:16:12

Added files:
	fence/agents/manual: fence_ack_manual.sh 

Log message:
	Simple manual override for fenced & example replacement for fence_ack_manual

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/fence/agents/manual/fence_ack_manual.sh.diff?cvsroot=cluster&r1=NONE&r2=1.1

/cvs/cluster/cluster/fence/agents/manual/fence_ack_manual.sh,v  -->  standard output
revision 1.1
--- cluster/fence/agents/manual/fence_ack_manual.sh
+++ -	2007-01-22 23:16:13.148120000 +0000
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+if [ -z "$1" ]; then
+	echo "usage: $0 <nodename>"
+	exit 1
+fi
+
+declare answer
+
+echo "About to override fencing for $1."
+echo "Improper use of this command can cause severe file system damage."
+echo
+read -p "Continue [NO/absolutely]? " answer
+
+if [ "$answer" != "absolutely" ]; then
+	echo "Aborted."
+	exit 1
+fi
+
+while ! [ -e /var/run/cluster/fenced_override ]; do
+	sleep 1
+done
+
+echo $1>/var/run/cluster/fenced_override
+echo Done



             reply	other threads:[~2007-01-22 23:16 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2007-01-22 23:16 lhh [this message]
  -- strict thread matches above, loose matches on Subject: below --
2007-05-14 16:33 [Cluster-devel] cluster/fence/agents/manual fence_ack_manual.sh lhh

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20070122231613.28349.qmail@sourceware.org \
    --to=lhh@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.